#pragma once

#include "domain.h"
#include <vector>
#include <assert.h>

class Repository{
    private:
        std::vector<Bill> _bills;
    public:
        Repository();
        ~Repository();
        /*
        Add function
        Input: bill - Bill
        Output: true - if the bill was added
                false - if the bill was not added
        */
        bool add(Bill bill);
        std::vector<Bill>::iterator begin();
        std::vector<Bill>::iterator end();
        std::vector<Bill> bills();
};

void test_repository();